Plugins.update.notifyuser is ignored, plugin check page continues to load at runtime

UNCONFIRMED
Unassigned

Status

--
major
UNCONFIRMED
7 years ago
4 years ago

People

(Reporter: mozilla.2010, Unassigned)

Tracking

Details

(URL)

Attachments

(6 attachments)

(Reporter)

Description

7 years ago
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.2.17) Gecko/20110420 Firefox/3.6.17 (.NET CLR 3.5.30729)
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.2.17) Gecko/20110420 Firefox/3.6.17 (.NET CLR 3.5.30729)

In the last week or two, there have been numerous complaints that the plug-in
check page, https://www.mozilla.com/%LOCALE%/plugincheck/ , is opened in a 
new tab, regardless of the setting of plugins.update.notifyuser. With this set
to FALSE, and all questionable plug-ins (needs update, or unknown) disabled, the 
page opens in a new tab. 

Confirmed repeatedly in 3.6.17 (Win XP Proloading several profiles. Confirmed 
this bug is not present in 3.6.15 (RHEL 6.2). 





Reproducible: Always

Steps to Reproduce:

Steps to reproduce: 

1. Open firefox 3.6.17. Disable all outdated or incompatible plug-ins.
2. Open about:config
3. Set plugins.update.notifyuser to TRUE.
4. Close Firefox.
5. Open firefox. 
=> plug-ins check page loads in a new tab https://www.mozilla.com/%LOCALE%/plugincheck/
6. Open about:config.
7. note state of plugins.update.notify user.
=> value is now FALSE.
8. Close Firefox. 
9. Open firefox.


Actual Results:  

Actual Results:
Default start page is opened, and a new tab for plug-ins check page. 

Expected Results:  
Expected results: 
Only home page, or blank page, or firefox start page is opened as per preferences.


Add'l Info:
Creating a new profile, and following these steps, the plug-in check page is NOT
loaded after setting plugins.update.notifyuser to FALSE and browser closed. 
There may be some other factor causing this: about:support output attached.
(Reporter)

Comment 1

7 years ago
Created attachment 538739 [details]
about:support output
(Reporter)

Comment 2

7 years ago
Cloned from BZ #526672, and adding those CC identities (apologies in advance if 
this is an annoyance ,:) ) to this bug.
Do you have Firefox set to restore your open tabs on startup?
(Reporter)

Comment 4

7 years ago
Good question, I usually have it set to open home page, which is the link to 
the exported BOOKMARKS.HTML in the profile root. I've tested this with both that
setting and "blank page" in Options | General, no change. "Show my windows and 
tabs from last time" is never selected in any profile. 

I tried to export the contents of about:config to save time, is there a method
for attaching the state of the entire (profile) config?
(Reporter)

Updated

7 years ago
Attachment #538739 - Attachment description: about:config output → about:support output
Buncha people over on MozillaZine seeing this, too.

Discussion over there seems to think that this is caused by a relatively recent change to blocklist.xml, adding a "severity" attribute to the <versionrange> tag.

Updated

7 years ago
Duplicate of this bug: 663659
Sorry, adding a "severity=0" attribute to the <versionrange> tags.
AMO is currently outputting incorrect info for the blocklist. It is unlikely to be the actual problem here but fixing it will hide this problem as we have no plugins marked as outdated in the blocklist. Filed bug 663722 to do that.
Is this being seen on Firefox 4?
(In reply to comment #9)
> Is this being seen on Firefox 4?

From the reports I've seen (not experiencing this personally), it's hitting 3.6 and 4.0 users.

Comment 11

7 years ago
If it helps, the relevant section of mozillazine thread starts here:
http://forums.mozillazine.org/viewtopic.php?p=10898249#p10898249
Can you attach copies of pluginreg.dat before/after step 9 and include the modification times of that file at those points.

Comment 13

7 years ago
I was able to resolve my problem (bug 663659) by uninstalling Viewpoint Media Player as per the advice here: https://support.mozilla.com/en-US/questions/833195#answer-197650

Although my symptoms were not exactly the same and I see no reason why VMP would have any effect since it was installed long before the symptoms began, it immediately stopped producing the errant tab.

Comment 14

7 years ago
(In reply to comment #12)
> Can you attach copies of pluginreg.dat before/after step 9 and include the
> modification times of that file at those points.

Like Wes I am not suffering from this, I was the post wrangler for the above (loudnoise).  However, installing Viewpoint Media Player on a windows machine seems to be a reliable trigger for the problem.  The player itself was blocklisted in Feb 2010.  Works with I.E apparently.
(In reply to comment #14)
> (In reply to comment #12)
> > Can you attach copies of pluginreg.dat before/after step 9 and include the
> > modification times of that file at those points.
> 
> Like Wes I am not suffering from this, I was the post wrangler for the above
> (loudnoise).  However, installing Viewpoint Media Player on a windows
> machine seems to be a reliable trigger for the problem.  The player itself
> was blocklisted in Feb 2010.  Works with I.E apparently.

Getting someone who is seeing the problem to provide those details would be very useful as I don't have access to a windows machine right now.

Comment 16

7 years ago
If there is way to delete blocklist.xml and install the video player before I get an update I would be willing to try.  Assuming that AMO is no longer passing out the wounded blocklist.xml I would also need access to older one.  

Since I have no clue about the skill level of folks who come to us for support I don't want to ask for help in the thread.
(Reporter)

Comment 17

7 years ago
Tell me what you need. I don't hv the Viewpoint thing, but I *did* have
Quicktime 7.1.5.120 (yes, I KNOW, don't say it) and Adobe Acrobat 
Standard 7.1.4 on this T43. I thought QT was just the drivers 
installed by a limited-footprint driver installer for syncing iPods 
without iTunes. My bad, Quicktime was installed. 

1. Both plug-ins were disabled, and the check page came up without 
relief.

2. Confirmed that the QT was not installed by CopyTransInstaller for 
iPod w/o iTunes, 

3. Bye-bye, Quicktime 7.1.5.120. 

4. Restarted Firefox 3.6.17 in 3 profiles, with only the Acrobat 7 
plug-in remaining (disabled), plug-in check page did NOT load. :) 



Based on this, it seems that certain outdated plug-ins or installed 
programs fire this off, not all outdated plug-ins. Does this shed light?

I do have a test Windows XP system with 3.6.16/17 on it at work, can 
install other apps and play with profiles as needed. May need some 
tutoring on the blocklist.xml file's function. Email me via 
Bugzilla or dspaldin at the company with the chapeau rouge (this 
Bugzilla profile forwards to work anyway). (Se habla software qa.)
I would need what I requested in comment 12. It should be up to a day before the updated blocklist rolls out to users.
(Reporter)

Comment 19

7 years ago
Created attachment 538881 [details]
files from a xp pro system with 3.6.17 before blocklist update

Response to comment #12

PLuginreg.dat, blocklist.xml, about:support, from a 3.6.17 system before
this bug "happens" to it. 

Offending plugin on this system is Shockwave Flash 10.1.85.3.
(Reporter)

Comment 20

7 years ago
I updated BZ 663722 , the older blocklist.xml file has 

VERSIONRANGE SEVERITY=""

but with non-zero values.
(Reporter)

Comment 21

7 years ago
Created attachment 538975 [details]
pluginreg.dat file after upgrade to 4.0.1

I updated from 3.6.17 to 4.0.1 on the system mentioned in comment #19,
the pluginreg.at in this folder (attached) ...

C:\Documents and Settings\qatester\Application Data\Mozilla\Firefox\Profiles\knpruv6z.default

... and the \profiles\ folder were last updated 2/28/11 14:54. They were ont
updated post-4.0.1 upgrade. 

Again, system is Win XP Pro SP3 all MS and Windows updates applied.
Created attachment 539267 [details]
test blocklist.xml

I've tried to reproduce this with viewpoint media player marked as severity="0" and did not see any problems. For people that were seeing this with viewpoint media player installed please take the following steps:

1. Exit Firefox
2. Copy the attached blocklist.xml file into your profile folder.
3. Start Firefox.
4. If my suspicions are right the plugin check page will show now, in which case make a copy of the pluginreg.dat file from the profile and note the modification time of it listed in explorer.
5. Close the plugin check page and wait a couple of minutes and restart Firefox
6. Presumably the check page will show again, make another copy of pluginreg.dat and the modification time.

Attach both copies of pluginreg.dat to the bug report and mention their modification times.
(Reporter)

Comment 23

7 years ago
Created attachment 539367 [details]
files as requested

(In reply to comment #22)

18:50:50
1. installed Viewpoint Media player off site, installer vmp_full_installer_ digitally signed 4/8/2008.
2. Installed Quicktime 7.1.3.100.
3. Installed Firefox 3.6.17. 
4. Created default profile, and dtownsend profile (to swap outblocklist.xml).
5. Ran Firefox first time, with Dtownsend profile. Copied off pluginreg initial 6-14 1904est.dat.
6. plugin check page not loaded. State of plugins.update.notifyuser = FALSE. 
7. Metastream 3 plugin 3.6.0.59, npViewpoint plugin, installed but disabled "for your protection." Likewise Quicktime 7.1.3. Closed Firefox.
8. Dropped in Dave's file. (Blocklist.xml not found in profile.)
9. Restarted Firefox.
10. NO plugin check page. :( 
11. pluginreg.dat updated at 19:17, saved copy. 
12. Manually set plugins.update.notifyuser to True. 
13. Closed Firefox. 
14. Opened Firefox. 
15. Shockwave Flash (10.1 r85) listed red on plugin chck page, but not npViewpoint. ?:( 
16 Plugins.update.notifyuser found set to False. 
17. Pluginreg.dat updated at 19:23, copy saved off. 
18. Left Firefox open a couple of minutes. 
19. Closed Firefox.
20. Opened Firefox 19:30:49. Plugincheck page NOT opened. ,:{ Copied off another copy of pluginreg.dat (19:31 EST). 

Zip file prepared. 


Not sure this establishes anything. I do know that when this was happening 
to me past weekend, the page kept coming up until I unintstalled Quicktime
7.1.5, and then reopened FF. Let me try installing 7.1.5 and see if it changes
this sequence. (crosses fingers)
(Reporter)

Comment 24

7 years ago
(In reply to comment #23)

8:06 PM 6/14/2011

1. Updated Quicktime to 7.1.5.120. 
2. Started Firefox. Quicktime plug-in enabled. 
3. Manually loaded check page, QT only listed as "needs update." 
4. Installed Acrobat Reader 7.0, upgraded to 7.1.0. 
5. Ran Firefox, no plugin check. Left open 20 minutes.
6. Closed and reopened, no change. Checked plugin page, Acrobat only identied
as "outdated version."

Comment 25

7 years ago
Created attachment 539518 [details]
pluginreg.dat  with viewpoint media player installed

One of the folks from MozillaZine who had the problem with the view point media plug-in was kind enough to run the requested test.  This is the result.

Updated

5 years ago
Component: General → plugins.mozilla.org
Product: Firefox → Websites
QA Contact: cbook
Version: 3.6 Branch → unspecified
You need to log in before you can comment on or make changes to this bug.